Azure DevOps CI Pipeline Fails with .NET Core 2.2

I tried putting a test CI build from Azure DevOps (formally VSTS) to a test web site using NET Core 2.2 today, but it failed with “Packages failed to restore”. Further investigation revealed that it failed in the “_CheckForUnsupportedNETCoreVersion” step.

It appears that if you are using .NET Core 2.2 as a target it will not work right off the bat, you need to tailor your CI Pipeline to add a task to the agent job to install the version of the .NET Core SDK you are using, in my case 2.2.102.

I assume this is only a temporary issue, but you may run into a similar problem in the future as new versions on .NET Core are released.

Leave a Reply

Your email address will not be published. Required fields are marked *